org.optaplanner.persistence.xstream.api.score.buildin.hardsoft

## Class HardSoftScoreXStreamConverter

- java.lang.Object
- - org.optaplanner.persistence.xstream.api.score.AbstractScoreXStreamConverter
  - - org.optaplanner.persistence.xstream.api.score.buildin.hardsoft.HardSoftScoreXStreamConverter

- All Implemented Interfaces:
    com.thoughtworks.xstream.converters.Converter, com.thoughtworks.xstream.converters.ConverterMatcher

      public class HardSoftScoreXStreamConverter
      extends AbstractScoreXStreamConverter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HardSoftScoreXStreamConverter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canConvert(Class type)`
    `void` | `marshal(Object scoreObject, com.thoughtworks.xstream.io.HierarchicalStreamWriter writer, com.thoughtworks.xstream.converters.MarshallingContext context)`
    `Object` | `unmarshal(com.thoughtworks.xstream.io.HierarchicalStreamReader reader, com.thoughtworks.xstream.converters.UnmarshallingContext context)`

    - ### Methods inherited from class org.optaplanner.persistence.xstream.api.score.AbstractScoreXStreamConverter

      `registerScoreConverters`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HardSoftScoreXStreamConverter

          public HardSoftScoreXStreamConverter()

  - ### Method Detail

    - #### canConvert

          public boolean canConvert(Class type)

    - #### marshal

          public void marshal(Object scoreObject,
                              com.thoughtworks.xstream.io.HierarchicalStreamWriter writer,
                              com.thoughtworks.xstream.converters.MarshallingContext context)

    - #### unmarshal

          public Object unmarshal(com.thoughtworks.xstream.io.HierarchicalStreamReader reader,
                                  com.thoughtworks.xstream.converters.UnmarshallingContext context)

Copyright © 2006–2020 JBoss by Red Hat. All rights reserved.